> For the complete documentation index, see [llms.txt](https://docs.coresignal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coresignal.com/company-api/company-posts-api/collect.md).

# Collect: Company Posts API

{% columns %}
{% column width="16.666666666666664%" %}
Data type:

URL:
{% endcolumn %}

{% column %}
Company Posts

<https://api.coresignal.com/cdapi/v2/company\\_post/collect/{post\\_id}>
{% endcolumn %}
{% endcolumns %}

***

## Overview

Find instructions for collection endpoint usage and data collection.

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>General information about collect requests</td><td><a href="/pages/CqkkuNi2gihiTwWsDNBX">/pages/CqkkuNi2gihiTwWsDNBX</a></td></tr></tbody></table>

Use the collection endpoint to collect posts data using IDs.

<table data-view="cards"><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><a href="#collection-using-posts-ids">Data collection using IDs</a></td><td>Learn how to obtain posts data using IDs.</td></tr></tbody></table>

| Key              | Collect endpoint                       | Function                          |
| ---------------- | -------------------------------------- | --------------------------------- |
| Company Posts ID | */v2/company\_post/collect/{post\_id}* | Retrieved using search endpoints. |

## Collection using posts IDs

Examples in this article are prepared using Postman.\
However, you can use the most convenient tool for you: terminal, Postman, or any API-compatible application.

### cURL (Postman)

Use the provided request template below. Enter a valid `post_id` value and your `API Key`.

{% tabs %}
{% tab title="Full collect" %}
{% code title="cURL request example" %}

```json
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/company_post/collect/{post_id}' \
-H 'accept: application/json' \
-H 'apikey: {API Key}'
```

{% endcode %}
{% endtab %}

{% tab title="Field selection" %}
{% code title="cURL request example with several fields" %}

```json
curl -X 'GET' \
'https://api.coresignal.com/cdapi/v2/company_post/collect/{post_id}?fields=company_name&fields=date_published' \
-H 'accept: application/json' \
-H 'apikey: {API Key}'
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coresignal.com/company-api/company-posts-api/collect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
